<?xml version="1.0" encoding="utf-8"?>
<com.yidian.nightmode.widget.YdConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:paddingStart="19dp"
    android:paddingEnd="19dp">

    <com.yidian.nightmode.widget.YdTextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:includeFontPadding="false"
        android:text="@string/business_license"
        android:textColor="#FF666666"
        android:textSize="15sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.yidian.nightmode.widget.YdTextView
        android:id="@+id/tv_description"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:includeFontPadding="false"
        android:text="@string/business_license_description"
        android:textColor="#FF999999"
        android:textSize="12sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_title" />

    <com.yidian.nightmode.widget.YdConstraintLayout
        android:id="@+id/cl_business_license_upload"
        android:layout_width="106dp"
        android:layout_height="77dp"
        android:layout_marginTop="10dp"
        android:background="@drawable/bg_business_license_upload"
        app:layout_constraintTop_toBottomOf="@id/tv_description">

        <com.yidian.nightmode.widget.YdImageView
            android:layout_width="17dp"
            android:layout_height="17dp"
            android:layout_marginTop="21dp"
            android:src="@mipmap/icon_upload"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.yidian.nightmode.widget.YdTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="15dp"
            android:includeFontPadding="false"
            android:text="@string/upload_business_license"
            android:textColor="#FF999999"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <com.yidian.nightmode.widget.YdImageView
            android:id="@+id/iv_business_license"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="fitXY" />

        <com.yidian.nightmode.widget.YdImageView
            android:id="@+id/iv_clear"
            android:layout_width="23dp"
            android:layout_height="23dp"
            android:layout_marginTop="2dp"
            android:layout_marginEnd="2dp"
            android:src="@drawable/bcommon_icon_clear"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </com.yidian.nightmode.widget.YdConstraintLayout>

    <View
        android:id="@+id/view_business_license_upload_divider"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:layout_marginTop="19dp"
        android:background="#FFF2F2F2"
        app:layout_constraintTop_toBottomOf="@id/cl_business_license_upload" />

    <com.yidian.nightmode.widget.YdTextView
        android:id="@+id/tv_upload_error_tips"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:includeFontPadding="false"
        android:textColor="#FFFF3A3A"
        android:textSize="12sp"
        android:visibility="gone"
        app:layout_constraintTop_toBottomOf="@id/view_business_license_upload_divider" />

    <com.yidian.shenghuoquan.bmanagercenter.widget.LifeAccountAuthBusinessInfoEditView
        android:id="@+id/ev_registration_name"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        app:LifeAccountAuthBusinessInfoEditView_content_text="@string/business_license_registration_name"
        app:LifeAccountAuthBusinessInfoEditView_hint_text="@string/please_input"
        app:layout_constraintTop_toBottomOf="@id/tv_upload_error_tips" />

    <com.yidian.shenghuoquan.bmanagercenter.widget.LifeAccountAuthBusinessInfoEditView
        android:id="@+id/ev_registration_code"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        app:LifeAccountAuthBusinessInfoEditView_content_text="@string/business_license_registration_code"
        app:LifeAccountAuthBusinessInfoEditView_hint_text="@string/please_input"
        app:layout_constraintTop_toBottomOf="@id/ev_registration_name" />

    <com.yidian.nightmode.widget.YdTextView
        android:id="@+id/tv_registration_code_hint"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:includeFontPadding="false"
        android:text="@string/registration_code_description"
        android:textColor="#FF999999"
        android:textSize="12sp"
        app:layout_constraintTop_toBottomOf="@id/ev_registration_code" />

</com.yidian.nightmode.widget.YdConstraintLayout>